org.apache.commons.jelly.tags.junit

## Class JUnitTagLibrary

- java.lang.Object
- - org.apache.commons.jelly.TagLibrary
  - - org.apache.commons.jelly.tags.junit.JUnitTagLibrary

    public class JUnitTagLibrary
    extends TagLibrary

Describes the Taglib. This class could be generated by XDoclet

Version:
  $Revision: 345796 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`JUnitTagLibrary()`

### Method Summary

Methods
`Expression` `createExpression(ExpressionFactory factory, TagScript tagScript, java.lang.String attributeName, java.lang.String attributeValue)` Allows taglibs to use their own expression evaluation mechanism

### Methods inherited from class org.apache.commons.jelly.TagLibrary

`createTag, createTagScript, getExpressionFactory, getTagClasses, registerTag, registerTagFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JUnitTagLibrary

    public JUnitTagLibrary()

### Method Detail

#### createExpression

    public Expression createExpression(ExpressionFactory factory,
                              TagScript tagScript,
                              java.lang.String attributeName,
                              java.lang.String attributeValue)
                                throws JellyException

Description copied from class: `TagLibrary`
Allows taglibs to use their own expression evaluation mechanism

Overrides:
  `createExpression` in class `TagLibrary`
Throws:
  `JellyException`